@mixin ily-tx-shadow($x, $y, $bl, $op) {
    text-shadow: $x $y $bl rgba(#333333, $op);
}

@mixin make-tx-shadow($s) {
    #{$s}tx-shadow{
        &-1{
            @include ily-tx-shadow(0, 1px, 4px, .28);
        }
        &-2{
            @include ily-tx-shadow(0, 2px, 8px, .28);
        }
        &-3{
            @include ily-tx-shadow(0, 4px, 16px, .28);
        } 
        &-4{
            @include ily-tx-shadow(0, 8px, 24px, .32);
        }
        &-5{
            @include ily-tx-shadow(0, 12px, 32px, .36);
        }
        &-none{
            text-shadow: none;
        }
    }
}